Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core
Class QVTOStackFrame

    java.lang.Object
      DebugElement
          org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
              org.eclipse.m2m.qvt.oml.debug.core.QVTOStackFrame

    public class QVTOStackFrame

extends QVTODebugElement

Constructor Summary
`QVTOStackFrame(QVTOThread thread, VMStackFrame frame)`

Method Summary
`boolean` | `canResume()`
`boolean` | `canStepInto()`
`boolean` | `canStepOver()`
`boolean` | `canStepReturn()`
`boolean` | `canSuspend()`
`boolean` | `canTerminate()`
`IValue` | `evaluate(java.lang.String expressionText)`
`int` | `getCharEnd()`
`int` | `getCharStart()`
`int` | `getLineNumber()`
`VMLocation` | `getLocation()`
`java.lang.String` | `getName()`
`IRegisterGroup[]` | `getRegisterGroups()`
`IThread` | `getThread()`
`URI` | `getUnitURI()`
`IVariable[]` | `getVariables()`
`boolean` | `hasRegisterGroups()`
`boolean` | `hasVariables()`
`boolean` | `isDeferredExecution()`
`boolean` | `isStepping()`
`boolean` | `isSuspended()`
`boolean` | `isTerminated()`
`void` | `resume()`
`void` | `setDeferredExecution(boolean isDeferred)`
`protected void` | `setLocation(VMStackFrame frame)`
`void` | `stepInto()`
`void` | `stepOver()`
`void` | `stepReturn()`
`void` | `suspend()`
`void` | `terminate()`

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
`getModelIdentifier, getQVTODebugTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QVTOStackFrame

    public QVTOStackFrame(QVTOThread thread,
                          VMStackFrame frame)

Method Detail

### setLocation

    protected void setLocation(VMStackFrame frame)

### setDeferredExecution

    public void setDeferredExecution(boolean isDeferred)

### isDeferredExecution

    public boolean isDeferredExecution()

### getThread

    public IThread getThread()

### hasVariables

    public boolean hasVariables()
                         throws DebugException

  Throws:
    `DebugException`

### getVariables

    public IVariable[] getVariables()
                             throws DebugException

  Throws:
    `DebugException`

### getUnitURI

    public URI getUnitURI()

### getLocation

    public VMLocation getLocation()

### getLineNumber

    public int getLineNumber()

### getCharStart

    public int getCharStart()
                     throws DebugException

  Throws:
    `DebugException`

### getCharEnd

    public int getCharEnd()
                   throws DebugException

  Throws:
    `DebugException`

### getName

    public java.lang.String getName()
                             throws DebugException

  Throws:
    `DebugException`

### getRegisterGroups

    public IRegisterGroup[] getRegisterGroups()
                                       throws DebugException

  Throws:
    `DebugException`

### hasRegisterGroups

    public boolean hasRegisterGroups()
                              throws DebugException

  Throws:
    `DebugException`

### canStepInto

    public boolean canStepInto()

### canStepOver

    public boolean canStepOver()

### canStepReturn

    public boolean canStepReturn()

### isStepping

    public boolean isStepping()

### stepInto

    public void stepInto()
                  throws DebugException

  Throws:
    `DebugException`

### stepOver

    public void stepOver()
                  throws DebugException

  Throws:
    `DebugException`

### stepReturn

    public void stepReturn()
                    throws DebugException

  Throws:
    `DebugException`

### canResume

    public boolean canResume()

### canSuspend

    public boolean canSuspend()

### isSuspended

    public boolean isSuspended()

### resume

    public void resume()
                throws DebugException

  Throws:
    `DebugException`

### suspend

    public void suspend()
                 throws DebugException

  Throws:
    `DebugException`

### canTerminate

    public boolean canTerminate()

### isTerminated

    public boolean isTerminated()

### terminate

    public void terminate()
                   throws DebugException

  Throws:
    `DebugException`

### evaluate

    public IValue evaluate(java.lang.String expressionText)
                    throws CoreException

  Throws:
    `CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD